Skip to main content
Webhook

Enable Webhook

Enable a disabled Webhook

POST
/api/v1/agentstudio/webhook_endpoints/{id}/enable
cURL
curl --request POST \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/webhook_endpoints/{id}/enable' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "id": "wep_01JXX7YQGPRPV1BZXA35QE7WDP",
  "description": "生产环境会话事件",
  "url": "https://example.com/managedagent/webhooks",
  "events": [
    "session.status_idled"
  ],
  "status": "ACTIVE",
  "disabled_reason": null,
  "consecutive_fail": 2,
  "last_success_at": "2026-08-06T10:05:00Z",
  "last_failure_at": "2026-08-06T10:10:00Z",
  "created_at": "2026-08-06T10:00:00Z",
  "updated_at": "2026-08-06T10:20:00Z",
  "request_id": "8e1d16e4"
}

Authorizations

string
header
required

DashScope API Key

Path Parameters

string
required

Webhook ID,格式 wep_<ULID>

Response

200-application/json
string
string | null
string
string[]
enum<string>

启用后为 ACTIVE

ACTIVE,DISABLED
string | null
integer

返回启用完成时的当前值

string | null

返回启用完成时的当前值

string | null

返回启用完成时的当前值

string
string
string
Overview
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview